> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get preset details

> Get information about a preset.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cdn_api.yaml get /cdn/presets/{preset_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: fc753b05a102
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN service
    description: Information about the current state of the CDN service in your account.
  - name: CDN resources
  - name: Origins
  - name: Rules
    description: >-
      Rules allow to set up custom settings for certain file types or paths.

      By default, the rule inherits all options values from the related CDN
      resource.


      Each option in rule settings can be in one of the following states:

      - **Inherit** - Option is not added to the rule. Option inherits its value
      from the CDN resource settings. In this case, the option value is
      **null**.

      - **ON** - Option is added to the rule and enabled. Option values
      configured in the rule will override values from the CDN resource
      settings.

      - **OFF** - Option is added to the rule and disabled. Option will be
      turned off.
  - name: Rule templates
  - name: Presets
    description: >-
      A preset is a predefined set of CDN resource or rule settings that can be
      applied to an object in a single request.


      Once a preset is applied to an object, the options included in the preset
      cannot be edited on that object until the preset is unapplied.
  - name: SSL certificates
  - name: Let's Encrypt certificates
  - name: CA certificates
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
  - name: Log viewer
    description: >-
      Log viewer provides you with general information about CDN operation. This
      information does not contain all possible

      sets of fields and restricted by time. To receive full data, use Logs
      Uploader.
  - name: Logs uploader
    description: >-
      Logs uploader allows you to upload logs with desired format to desired
      storages.


      Consists of three main parts:

      - **Policies** - rules that define which logs are uploaded and how they
      are uploaded.

      - **Targets** - destinations where logs are uploaded.

      - **Configs** - combinations of logs uploader policies, targets and
      resources to which they are applied.
  - name: Tools
  - name: Statistics
    description: >-
      Consumption statistics is updated in near real-time as a standard
      practice.

      However, the frequency of updates can vary, but they are typically
      available within a 24-hour period.

      Exceptions, such as maintenance periods, may delay data beyond 24 hours
      until servers resume and fill in the missing statistics.
  - name: Advanced analytics
    description: >-
      Advanced analytics allows to get statistics about unique visitors,
      traffic, and requests for countries, directories, browsers, devices, and
      operation systems for up to 90 days starting from today.


      Advanced analytics API is based on the [GraphQL
      framework](https://graphql.org/).


      Advanced analytics API has one single endpoint:

       https://api.gcore.com/cdn/advanced/v2/query

      You can pass the query parameters as a JSON object in the payload of a
      POST request to this endpoint.

      You can use curl to make requests to the Advanced analytics API.
      Alternatively, you can use a GraphQL client

      to construct queries and pass requests to the Advanced analytics API.


      You can write queries in GraphQL much like in SQL: specify the data set
      (CDN resource), the metrics

      to retrieve (such as unique visitors and traffic), and filter or group by
      dimensions (for example, a country).
  - name: Origin shielding
  - name: IP addresses list
  - name: Purge history
paths:
  /cdn/presets/{preset_id}:
    get:
      tags:
        - Presets
      summary: Get preset details
      description: Get information about a preset.
      operationId: get-preset-details
      parameters:
        - $ref: '#/components/parameters/preset_id'
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresetResponse'
        '404':
          description: Preset does not exist.
components:
  parameters:
    preset_id:
      in: path
      name: preset_id
      description: Preset ID.
      required: true
      schema:
        type: integer
  schemas:
    PresetResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/schemas_components-schemas-id-2'
        name:
          $ref: '#/components/schemas/schemas_components-schemas-name-2'
        service:
          $ref: '#/components/schemas/schemas-service'
        object_type:
          $ref: '#/components/schemas/object_type'
        preset_settings:
          $ref: '#/components/schemas/preset_settings'
    schemas_components-schemas-id-2:
      type: integer
      readOnly: true
      description: Preset ID.
      example: 42
    schemas_components-schemas-name-2:
      type: string
      description: Preset name.
      example: Static content acceleration
    schemas-service:
      type: string
      enum:
        - cdn
      description: Service the preset belongs to.
      example: cdn
    object_type:
      type: string
      enum:
        - CDNResource
        - Rule
      description: |-
        Type of object the preset can be applied to.

        Possible values:
        - **CDNResource** - Preset is applied to a CDN resource.
        - **Rule** - Preset is applied to a rule.
      example: CDNResource
    preset_settings:
      type: object
      additionalProperties: true
      description: >-
        CDN resource or rule settings that the preset applies to the target
        object, including the **options** object.


        The available keys match the writable fields of the object type the
        preset targets (`object_type`).

        Options included in the preset cannot be edited on the object while the
        preset is applied.
      example:
        options:
          browser_cache_settings:
            enabled: true
            value: 3600s
          gzipOn:
            enabled: true
            value: true
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````